Search found 49 matches

by axellin
Wed Oct 23, 2019 2:06 am
Forum: ESP32 IDF
Topic: install.sh fails to download openocd-esp32-linux64-0.10.0-esp32-20190313.tar.gz
Replies: 1
Views: 258

install.sh fails to download openocd-esp32-linux64-0.10.0-esp32-20190313.tar.gz

I'm using v4.0-beta1. $ ./install.sh Installing ESP-IDF tools Installing tools: xtensa-esp32-elf, esp32ulp-elf, openocd-esp32 Skipping xtensa-esp32-elf@esp32-2019r1-8.2.0 (already installed) Skipping esp32ulp-elf@2.28.51.20170517 (already installed) Installing openocd-esp32@v0.10.0-esp32-20190313 Do...
by axellin
Sun Oct 13, 2019 12:30 pm
Forum: ESP32 IDF
Topic: How to silence wifi: rsn valid: gcipher=3 ucipher=3 akm=5 messages
Replies: 1
Views: 368

Re: How to silence wifi: rsn valid: gcipher=3 ucipher=3 akm=5 messages

Looks like I accidently enable WiFi debug log.
Fixed by uncheck "Enable WiFi debug log".
by axellin
Mon Oct 07, 2019 5:30 am
Forum: ESP32 IDF
Topic: How to silence wifi: rsn valid: gcipher=3 ucipher=3 akm=5 messages
Replies: 1
Views: 368

How to silence wifi: rsn valid: gcipher=3 ucipher=3 akm=5 messages

Hi,
I'm using the git master of esp-idf.
I got many of below messages after boot:
I (6668) wifi: rsn valid: gcipher=3 ucipher=3 akm=5
I (6976) wifi: rsn valid: gcipher=3 ucipher=3 akm=5
I (7180) wifi: rsn valid: gcipher=3 ucipher=3 akm=5
...
Is there any way to silence these messages?
by axellin
Fri Dec 21, 2018 12:51 pm
Forum: General Discussion
Topic: Recommendations for MQTT Library with ESPIDF
Replies: 15
Views: 6640

Re: Recommendations for MQTT Library with ESPIDF

The esp_mqtt_client_start() implementation creates a task (esp_mqtt_task).
So even you just calling publish in your application task.
It's still racy because there is no locking for the data structure accessed by two tasks.
The mqtt library really needs fix.
by axellin
Fri Nov 30, 2018 12:53 am
Forum: ESP32 IDF
Topic: [Answered] Menu config option clarification: "Software do control of wifi/bt coexisit"
Replies: 3
Views: 2945

Re: Menu config option clarification: "Software do control of wifi/bt coexisit"

By default, coexistence is managed by hardware. Under some circumstances (such as high traffic) it may be desirable to have it managed in software, this option enables this. Hi Angus, It's not clear to me about how to decide using s/w or h/w coexistence. If the device is in high traffic or not is d...
by axellin
Wed Nov 28, 2018 8:45 am
Forum: General Discussion
Topic: TCP Spurious Retransmission when both BT and WIFI are enabled
Replies: 2
Views: 866

Re: TCP Spurious Retransmission when both BT and WIFI are enabled

Set SW coexistnce with wifi priority reduce the chance or TCP Spurious Retransmission, but it still can happen.
Comment out esp_ble_gap_start_scanning() then the TCP Spurious Retransmission never happen.
I do believe there are some issues with bt+wifi coexist...
by axellin
Wed Nov 28, 2018 6:22 am
Forum: General Discussion
Topic: Upgrade lwIP version?
Replies: 3
Views: 1149

Re: Upgrade lwIP version?

Thanks axellin, Hope we can upgrade the LWIP to latest version in IDF v4.0. Hi @liuzhifu, I'm still newbie in ESP-IDF. So it's not clear to me about the meaning of v4.0. Current git tree shows the version is v3.3-dev. Is v4.0 the version after v3.3 release? In the other words, when will v4.0 be ava...
by axellin
Wed Nov 28, 2018 6:15 am
Forum: General Discussion
Topic: TCP Spurious Retransmission when both BT and WIFI are enabled
Replies: 2
Views: 866

TCP Spurious Retransmission when both BT and WIFI are enabled

Hi, I test with master tree (v3.3-dev-270-g6f8e2b018). When BT and Wifi are both enabled, it's easy to observe "TCP Spurious Retransmission" issue. In my case, I only use BLE by calling esp_ble_gap_start_scanning(). The scan_interval=0x50 and scan_widow=0x30 in my setting. If I comment out the esp_b...
by axellin
Tue Nov 27, 2018 4:02 am
Forum: General Discussion
Topic: Upgrade lwIP version?
Replies: 3
Views: 1149

Upgrade lwIP version?

Hi,
Current ESP-IDF is using lwIP-v2.0.3.
However, the v2.0.x is no longer maintained by upstream.
There are many bug fixes in the latest stable relese lwip-v2.1.2.
( http://git.savannah.gnu.org/cgit/lwip.g ... ABLE-2_1_x )
Just wondering if any plan to upgrade the lwIP version?